Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

Potential remote code execution in SAP Message Server, SAP security note 1649838

Description

An attacker can exploit SAP Message Server to enable them to take complete control of the product, including viewing, changing, or deleting data.

CVSS Information

CVSS Base Score: 6.8
CVSS Base Vector: AV:N/AC:M/AU:N/C:P/I:P/A:P

SAP provides this CVSS base score as an estimate of the risk posed by the issue reported in this note. This estimate does not take into account your own system configuration or operational environment. It is not intended to replace any risk assessments you are advised to conduct when deciding on the applicability or priority of this SAP security note. For more information, see the FAQ section at https://service.sap.com/securitynotes/.

Available fix and Supported packages

  • KRNL32NUC | 4.6DEXT | 4.6DEX2
  • KRNL32NUC | 6.40 | 6.40EX2
  • KRNL32NUC | 7.00 | 7.01
  • KRNL32NUC | 7.10 | 7.20
  • KRNL32NUC | 7.20EXT | 7.20EXT
  • KRNL32UC | 6.40 | 6.40EX2
  • KRNL32UC | 7.00 | 7.01
  • KRNL32UC | 7.10 | 7.20
  • KRNL32UC | 7.20EXT | 7.20EXT
  • KRNL64NUC | 4.6DEXT | 4.6DEX2
  • KRNL64NUC | 6.40 | 6.40EX2
  • KRNL64NUC | 7.00 | 7.01
  • KRNL64NUC | 7.10 | 7.20
  • KRNL64NUC | 7.20EXT | 7.20EXT
  • KRNL64UC | 6.40 | 6.40EX2
  • KRNL64UC | 7.00 | 7.01
  • KRNL64UC | 7.10 | 7.20
  • KRNL64UC | 7.20EXT | 7.20EXT
  • KRNL64UC | 8.00 | 8.00
  • KRNL64UC | 8.02 | 8.02
  • SAP KERNEL 4.6D_EX2 64-BIT | SP616 | 002616
  • SAP KERNEL 6.40 32-BIT | SP393 | 000393
  • SAP KERNEL 6.40 32-BIT UNICODE | SP393 | 000393
  • SAP KERNEL 6.40 64-BIT | SP393 | 000393
  • SAP KERNEL 6.40 64-BIT UNICODE | SP393 | 000393
  • SAP KERNEL 6.40_EX2 32-BIT | SP393 | 000393
  • SAP KERNEL 6.40_EX2 32-BIT UC | SP393 | 000393
  • SAP KERNEL 6.40_EX2 64-BIT | SP393 | 000393
  • SAP KERNEL 6.40_EX2 64-BIT UC | SP393 | 000393
  • SAP KERNEL 7.00 32-BIT | SP332 | 000332
  • SAP KERNEL 7.00 32-BIT UNICODE | SP332 | 000332
  • SAP KERNEL 7.00 64-BIT | SP332 | 000332
  • SAP KERNEL 7.00 64-BIT UNICODE | SP332 | 000332
  • SAP KERNEL 7.01 32-BIT | SP173 | 000173
  • SAP KERNEL 7.01 32-BIT UNICODE | SP173 | 000173
  • SAP KERNEL 7.01 64-BIT | SP173 | 000173
  • SAP KERNEL 7.01 64-BIT UNICODE | SP173 | 000173
  • SAP KERNEL 7.10 32-BIT | SP263 | 000263
  • SAP KERNEL 7.10 32-BIT UNICODE | SP263 | 000263
  • SAP KERNEL 7.10 64-BIT | SP263 | 000263

Affected component

    BC-CST-MS
    Message Service

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1649838

TAGS

#Buffer-overflow
#RCE
#remote-code-executionSAP-Message-Server
#msg_server.exe
#MsCpFromNet

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below